<?php

namespace App\View\Components;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class Stepper extends Component
{
    /**
     * Create a new component instance.
     */
    public function __construct(
        public int $currentStep = 1,
        public array $steps = []
    ) {}

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.stepper');
    }
}
